Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.javascript.envjs.http
[Java] Interface HttpFileServer

    public interface HttpFileServer

Method Summary
`File` | `getContentRoot()`
`int` | `getPort()`
`String` | `getResourceUrl(String path)`
`void` | `stop()`

Method Detail

### getContentRoot

    public File getContentRoot()

### getPort

    public int getPort()

### getResourceUrl

    public String getResourceUrl(String path)

### stop

    public void stop()

Gradle API 1.10